# Uses of Class
org.apache.datasketches.sampling.VarOptItemsSketch

Packages that use VarOptItemsSketch
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of VarOptItemsSketch in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return VarOptItemsSketch
Modifier and Type
Method
Description
`VarOptItemsSketch<T>`
VarOptItemsUnion.`getResult()`
Gets the varopt sketch resulting from the union of any input sketches.
`static <T> VarOptItemsSketch<T>`
VarOptItemsSketch.`heapify(org.apache.datasketches.memory.Memory srcMem, ArrayOfItemsSerDe<T> serDe)`
Returns a sketch instance of this class from the given srcMem, which must be a Memory representation of this sketch class.
`static <T> VarOptItemsSketch<T>`
VarOptItemsSketch.`newInstance(int k)`
Construct a varopt sampling sketch with up to k samples using the default resize factor (8).
`static <T> VarOptItemsSketch<T>`
VarOptItemsSketch.`newInstance(int k, ResizeFactor rf)`
Construct a varopt sampling sketch with up to k samples using the specified resize factor.
Methods in org.apache.datasketches.sampling with parameters of type VarOptItemsSketch
Modifier and Type
Method
Description
`void`
VarOptItemsUnion.`update(VarOptItemsSketch<T> sketchIn)`
Union the given sketch.